#region Copyright Syncfusion Inc. 2001-2018.
// Copyright Syncfusion Inc. 2001-2018. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using DemoCommon.Grid;
using Syncfusion.Data;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DataBinding
{
    public partial class Form1 : Form
    {
        #region Fields
        EmployeeCollection employeeCollection;
        #endregion

        #region Constructor
        public Form1()
        {
            InitializeComponent();
            PopulateData();


        }

        private void PopulateData()
        {
            List<data> list = new List<data>();
            list.Add(new data() { Year = 2017, ID = 1000 });
            list.Add(new data() { Year = 2017, ID = 1022 });
            list.Add(new data() { Year = 2018, ID = 1023 });
            list.Add(new data() { Year = 2018, ID = 1234 });
            list.Add(new data() { Year = 2019, ID = 1034 });
            list.Add(new data() { Year = 2019, ID = 1001 });

            sfDataGrid1.DataSource = list;
        }

        #endregion

        private void button1_Click(object sender, EventArgs e)
        {
            sfDataGrid1.Columns["Year"].FilterPredicates.Clear();
            sfDataGrid1.Columns["Year"].FilterPredicates.Add(new FilterPredicate() { FilterType = FilterType.Equals, FilterValue = 2017, PredicateType = PredicateType.And });
        }
    }

    public class data
    {

        public int Year { get; set; }
        public int ID { get; set; }
    }
}
